# cCollisionAABBNode Class Reference
[Collision Detection]

cCollisionAABBNode is an abstract class that contains methods to set up internal and leaf nodes of an AABB tree and to use them to detect for collision with a line. More...

`#include <CCollisionAABBTree.h>`

Inheritance diagram for cCollisionAABBNode:

[legend]

List of all members.

## Public Member Functions
| cCollisionAABBNode ()
| Constructor of cCollisionAABBNode.
| cCollisionAABBNode (aabb_node_types a_nodeType, int a_depth)
| Constructor of cCollisionAABBNode.
virtual | ~cCollisionAABBNode ()
| Destructor of cCollisionAABBNode.
virtual void | fitBBox (double a_radius=0)
| Create a bounding box for the portion of the model at or below the node.
virtual void | render (int a_depth=-1)=0
| Draw the edges of the bounding box for this node, if at the given depth.
virtual bool | computeCollision (cVector3d &a_segmentPointA, cVector3d &a_segmentDirection, cCollisionAABBBox &a_lineBox, cCollisionRecorder &a_recorder, cCollisionSettings &a_settings)=0
| Determine whether line intersects mesh bounded by subtree rooted at node.
virtual bool | contains_triangle (int a_tag)=0
| Return true if this node contains the specified triangle tag.
virtual void | setParent (cCollisionAABBNode *a_parent, int a_recusive)=0
| Set the parent of this node.
## Public Attributes
cCollisionAABBBox | m_bbox
| The bounding box for this node.
int | m_depth
| The depth of this node in the collision tree.
cCollisionAABBNode * | m_parent
| Parent node of this node.
int | m_nodeType
| The node type, used only for proper deletion right now.

## Detailed Description

cCollisionAABBNode is an abstract class that contains methods to set up internal and leaf nodes of an AABB tree and to use them to detect for collision with a line.

The documentation for this class was generated from the following file:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/collisions/CCollisionAABBTree.h

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.